unit JimBeerLabel;

interface

uses
  StdCtrls, Classes;

type
  TJimBeerLabel = class(TCustomLabel)
  private
  protected
  public
    constructor Create(AOwner : TComponent); override;
  published
    // Publish all the same properties as a TLabel except for Caption, Font
    // and ParentFont (which is irrelevant now)
    property Align;
    property Alignment;
    property Anchors;
    property AutoSize;
    property BiDiMode;
    property Color nodefault;
    property Constraints;
    property DragCursor;
    property DragKind;
    property DragMode;
    property Enabled;
    property FocusControl;
    property ParentBiDiMode;
    property ParentColor;
    property ParentShowHint;
    property PopupMenu;
    property ShowAccelChar;
    property ShowHint;
    property Transparent;
    property Layout;
    property Visible;
    property WordWrap;
    property OnClick;
    property OnContextPopup;
    property OnDblClick;
    property OnDragDrop;
    property OnDragOver;
    property OnEndDock;
    property OnEndDrag;
    property OnMouseDown;
    property OnMouseMove;
    property OnMouseUp;
    property OnMouseEnter;
    property OnMouseLeave;
    property OnStartDock;
    property OnStartDrag;
  end;


implementation

uses
  Graphics;

{ TJimBeerLabel }

constructor TJimBeerLabel.Create(AOwner : TComponent);
begin
  // MUST call inherited, as there is a lot of stuff going on in ancestors
  inherited;

  // Note that we have to use the protected property names, not private FFont
  // when setting the default values
  // Note also that there is therefore a good reason to have protected
  // properties even if they will never be public/published
  Font.Name  := 'Tahoma';
  Font.Color := clRed;
  Font.Style := [fsBold];
  Font.Size  := 18;
  Caption    := 'Buy Jim a beer!!';
end;


end.
